Peplink Portal Docs

Retrieve a deal

Retrieve the details of a deal.

Request

GET/deals/{refId}

Path parameters

refIdstringrequired

Ref ID of the deal to retrieve.

Response

A json is returned in the response body with the following fields:

refIdstring

Ref ID of the deal.

accountRefIdlong

Account ref ID of the deal.

accountNamestring

Account name of the deal.

companystring

End customer's company of the deal.

countrystring

End customer's country of the deal.

statenullable string

End customer's state of the deal. null if not applicable.

firstNamenullable string

End customer's first name of the deal. null if not applicable.

lastNamenullable string

End customer's last name of the deal. null if not applicable.

titlenullable string

End customer's title of the deal. null if not applicable.

emailnullable string

End customer's email of the deal. null if not applicable.

websitenullable string

End customer's website of the deal. null if not applicable.

phonenullable string

End customer's phone of the deal. null if not applicable.

focusedVerticalsstring array

End Customer's focused verticals of the deal.

projectnullable string

End customer's project of the deal. null if not applicable.

projectDescriptionnullable string

End customer's project description of the deal. null if not applicable.

salespersonnullable string

Sales person of the deal. null if not applicable.

proposedItemsobject array

End Customer's proposed items of the deal.

Show child attributes
proposedItems.skustring

SKU of the proposed item.

proposedItems.quantityinteger

Quantity of the proposed item.

statusenum

Status of the deal.

  • PENDING_APPROVAL — The deal is pending approval.
  • ACTION_REQUIRED — The deal required action.
  • REJECTED — The deal is rejected.
  • APPROVED — The deal is approved.
  • CLOSED_WON — The deal is won and closed.
  • CLOSED_LOST — The deal is lost and closed.
  • LEAD_FROM_PEPLINK — The deal is lead from Peplink.
  • INVALID — The deal is invalid.
  • QUALIFIED — The deal is qualified.
reasonnullable string

Status reason of the deal. null if not applicable.

peplinkCommentnullable string

Peplink comment of the deal. null if not applicable.

descriptionnullable string

Description of the deal. null if not applicable.

timeframeDatenullable datetime string

Timeframe date of the deal. null if not applicable.

timeframeRemarknullable string

Timeframe remark of the deal. null if not applicable.

rebateExpirationDatenullable datetime string

Rebate expiration date of the deal. null if not applicable.

dealExpirationDatenullable datetime string

Deal expiration date of the deal. null if not applicable.

createdAtdatetime string

Time of when the deal is created.

createdBynullable string

Name of whom created the deal. null if not applicable.

createdByEmailnullable string

Email of whom created the deal. null if not applicable.

updatedAtnullable datetime string

Time of when the deal is updated. null if not applicable.

updatedBynullable string

Name of whom updated the deal. null if not applicable.

updatedByEmailnullable string

Email of whom updated the deal. null if not applicable.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/deals/{refId}' \  -H 'Authorization: Bearer {token}'

Response

{
  "refId": "12345",
  "accountRefId": 4567,
  "accountName": "Good Company",
  "company": "Customer Company",
  "country": "U.S.A.",
  "state": "California",
  "firstName": "Martha",
  "lastName": "Nunez",
  "title": "Manager",
  "email": "[email protected]",
  "website": "https://www.customercompany.com",
  "phone": "+1234567890",
  "focusedVerticals": ["Public Safety"],
  "project": "Project A",
  "projectDescription": "Project A is a project related to public safety.",
  "salesperson": "Sales B",
  "proposedItems": [
    {
      "sku": "SVL-321",
      "quantity": 10
    },
    {
      "sku": "TMP-123",
      "quantity": 20
    }
  ],
  "status": "CLOSED_WON",
  "reason": "The deal is won and closed.",
  "peplinkComment": "The status of deal is updated, the deal is won and closed.",
  "description": "This is a deal for Project A.",
  "timeframeDate": "2026-01-01",
  "timeframeRemark": "The deal is expected to be closed by the end of 2025.",
  "rebateExpirationDate": "2026-02-01",
  "dealExpirationDate": "2026-02-01",
  "createdAt": "2025-06-06T01:25:20.000Z",
  "createdBy": "System",
  "createdByEmail": null,
  "updatedAt": "2026-01-01T04:30:36.000Z",
  "updatedBy": "System",
  "updatedByEmail": null
}

On this page